com.intellectualcrafters.plot.object

## Enum PlotHomePosition

- java.lang.Object
- - java.lang.Enum<PlotHomePosition>
  - - com.intellectualcrafters.plot.object.PlotHomePosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PlotHomePosition>

      public enum PlotHomePosition
      extends java.lang.Enum<PlotHomePosition>

  Created by Citymonstret on 2014-08-05.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMatching(java.lang.String string)`
    `static PlotHomePosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PlotHomePosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final PlotHomePosition CENTER

    - #### DEFAULT

          public static final PlotHomePosition DEFAULT

  - ### Method Detail

    - #### values

          public static PlotHomePosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlotHomePosition c : PlotHomePosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlotHomePosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isMatching

          public boolean isMatching(java.lang.String string)